export interface JwtPayload {
    iss?: string;
    sub?: string;
    user_id?: string;
    aud?: string[] | string;
    exp?: number;
    nbf?: number;
    iat?: number;
    jti?: string;
}
export declare class InvalidTokenError extends Error {
}
/**
 * Decodes a JWT token into a JWT payload.
 * Adapted from: https://github.com/auth0/jwt-decode
 *
 * @param token the JWT token to decode
 * @returns the decoded payload
 */
export declare function jwtDecode(token: string): JwtPayload;
