import { JwtPayload } from '../decode.js';
import { TokenClaims } from '../index.js';
export declare function secureAuthToken(opts: {
    claims: TokenClaims;
    iss: string;
    key: string;
    alg?: string;
    exp?: string;
}): Promise<string>;
export declare function mockSecureAuthToken(exp?: string, iss?: string, key?: string): Promise<string>;
export declare function decodeToken(token: string): JwtPayload & ({
    sub: string;
} | {
    user_id: string;
});
/**
 * Retrieves the user ID encoded in the JWT token
 * @param token the encoded JWT token
 * @returns {Uuid} the user ID found in the `sub` or `user_id` claim
 */
export declare function decodeUserIdFromToken(token: string): string;
