/**
 * Get the name of the current project.
 */
export declare function getAppName(): string | undefined;
export declare function parsePort(str: string): number;
export declare function parseTimeout(str: string): number;
export declare function extractDatabaseURL(url: string): {
    user: string;
    password: string;
    host: string;
    port: number | null;
    dbName: string;
};
export declare function extractServiceURL(serviceUrl: string): {
    host: string;
    port: number | null;
};
/**
 * Parse the given string or number into a port number and whether
 * it uses the HTTP proxy or not.
 * @example
 * ```
 * parsePgProxyPort('65432') // { http: false, port: 65432 }
 * parsePgProxyPort('http:5123') // { http: true, port: 5123 }
 * parsePgProxyPort('http') // { http: true, port: 65432 }
 * ```
 */
export declare function parsePgProxyPort(str: number | `${number}` | `http` | `http:${number}`): {
    http: boolean;
    port: number;
};
