import fs from "fs";
import { LIB_VERSION } from '../../version/index.js';
import path from "path";
import { fileURLToPath } from "url";
function readPackageJson() {
  return JSON.parse(
    fs.readFileSync(
      path.join(
        fileURLToPath(import.meta.url),
        "..",
        "..",
        "..",
        "..",
        "package.json"
      ),
      "utf8"
    )
  );
}
function isCanaryRelease() {
  return readPackageJson().version.includes("canary");
}
const LIB_MINOR_VERSION = LIB_VERSION.split(".").slice(0, 2).join(".");
export {
  LIB_MINOR_VERSION,
  isCanaryRelease
};
//# sourceMappingURL=version.js.map