import { RunResult, Transaction } from '../../electric/adapter.js';
import { QueryBuilder } from 'squel';
import { DB } from './db.js';
import * as z from 'zod';
import { Row, Statement } from '../../util/index.js';
import { Fields } from '../model/schema.js';
import { Converter } from '../conversions/converter.js';
export declare class TransactionalDB implements DB {
    private _tx;
    private _fields;
    private _converter;
    constructor(_tx: Transaction, _fields: Fields, _converter: Converter);
    withTableSchema(fields: Fields): TransactionalDB;
    run(statement: QueryBuilder, successCallback?: (db: DB, res: RunResult) => void, errorCallback?: (error: any) => void): void;
    query<Z>(statement: QueryBuilder, schema: z.ZodType<Z>, successCallback: (db: DB, res: Z[]) => void, errorCallback?: (error: any) => void): void;
    raw(sql: Statement, successCallback?: (tx: DB, res: Row[]) => void, errorCallback?: (error: any) => void): void;
}
