import {
  electrify as baseElectrify
} from '../../electric/index.js';
import { DatabaseAdapter } from './adapter.js';
import { WebSocketNode } from '../../sockets/node.js';
const electrify = async (db, dbDescription, config = {}, opts) => {
  const dbName = db.name;
  const adapter = opts?.adapter || new DatabaseAdapter(db);
  const socketFactory = opts?.socketFactory || WebSocketNode;
  const namespace = await baseElectrify(
    dbName,
    dbDescription,
    adapter,
    socketFactory,
    config,
    opts
  );
  return namespace;
};
export {
  DatabaseAdapter,
  electrify
};
//# sourceMappingURL=index.js.map