import { Database } from './database.js';
import { Row } from '../../util/types.js';
import { Statement } from '../../util/index.js';
import { BatchDatabaseAdapter as GenericDatabaseAdapter } from '../generic/index.js';
import { RunResult } from '../../electric/adapter.js';
export declare class DatabaseAdapter extends GenericDatabaseAdapter {
    readonly db: Database;
    readonly defaultNamespace = "main";
    constructor(db: Database);
    _query(statement: Statement): Promise<Row[]>;
    _run(statement: Statement): Promise<RunResult>;
    execBatch(statements: Statement[]): Promise<RunResult>;
}
