class MockDatabase {
  constructor(dbname, fail) {
    this.dbname = dbname;
    this.fail = fail;
  }
  executeSet() {
    return this.resolveIfNotFail({ changes: { changes: 0 } });
  }
  run() {
    return this.resolveIfNotFail({
      changes: {
        changes: 0
      }
    });
  }
  execute() {
    return this.run();
  }
  query() {
    return this.resolveIfNotFail({
      values: [
        { textColumn: "text1", numberColumn: 1 },
        { textColumn: "text2", numberColumn: 2 }
      ]
    });
  }
  resolveIfNotFail(value) {
    if (typeof this.fail !== "undefined")
      return Promise.reject(this.fail);
    else
      return Promise.resolve(value);
  }
}
export {
  MockDatabase
};
//# sourceMappingURL=mock.js.map