import { SerialDatabaseAdapter } from '../generic/index.js';
class DatabaseAdapter extends SerialDatabaseAdapter {
  db;
  defaultNamespace = "main";
  constructor(db) {
    super();
    this.db = db;
  }
  async _run(statement) {
    const { sql: source, args: params = [] } = statement;
    const result = await this.db.runAsync(
      source,
      params
    );
    return {
      rowsAffected: result.changes
    };
  }
  async _query(statement) {
    const { sql: source, args: params = [] } = statement;
    return await this.db.getAllAsync(source, params);
  }
}
export {
  DatabaseAdapter
};
//# sourceMappingURL=adapter.js.map