import { electrify } from '../../electric/index.js';
import { MockMigrator } from '../../migrators/mock.js';
import { MockNotifier } from '../../notifiers/mock.js';
import { MockRegistry } from '../../satellite/mock.js';
import { DatabaseAdapter } from './adapter.js';
import { MockDatabase } from './mock.js';
import { MockSocket } from '../../sockets/mock.js';
const testToken = "test-token";
async function initTestable(dbName, dbDescription, _useWebSQLDatabase = false, config = {}, opts) {
  const db = new MockDatabase(dbName);
  const adapter = opts?.adapter || new DatabaseAdapter(db);
  const migrator = opts?.migrator || new MockMigrator();
  const notifier = opts?.notifier || new MockNotifier(dbName);
  const socketFactory = opts?.socketFactory || MockSocket;
  const registry = opts?.registry || new MockRegistry();
  const client = await electrify(
    dbName,
    dbDescription,
    adapter,
    socketFactory,
    config,
    {
      notifier,
      migrator,
      registry
    }
  );
  await client.connect(testToken);
  return [db, notifier, client];
}
export {
  initTestable
};
//# sourceMappingURL=test.js.map