async function createEmbeddedPostgres(config) {
  const EmbeddedPostgres = (await import("embedded-postgres")).default;
  const pg = new EmbeddedPostgres({
    databaseDir: config.databaseDir,
    user: config.user ?? "postgres",
    password: config.password ?? "password",
    port: config.port ?? 54321,
    persistent: config.persistent ?? true
  });
  await pg.initialise();
  await pg.start();
  await pg.createDatabase(config.name);
  const db = pg.getPgClient();
  await db.connect();
  let stopPromise;
  return {
    db,
    stop: () => stopPromise ??= pg.stop()
  };
}
export {
  createEmbeddedPostgres
};
//# sourceMappingURL=database.js.map