import { DatabaseAdapter } from './adapter.js';
import { Database, createEmbeddedPostgres } from './database.js';
import { ElectricConfig } from '../../config/index.js';
import { ElectrifyOptions } from '../../electric/index.js';
import { ElectricClient, DbSchema } from '../../client/model/index.js';
export { DatabaseAdapter, createEmbeddedPostgres };
export type { Database };
/**
 * This embdedded-postgres driver is used for unit testing.
 * The real driver to run Postgres is the `sqlx` driver
 * which uses Tauri as a bridge to a Postgres driver written in Rust.
 */
export declare const electrify: <T extends Database, DB extends DbSchema<any>>(db: T, dbDescription: DB, config: ElectricConfig, opts?: ElectrifyOptions) => Promise<ElectricClient<DB>>;
