import { Database } from './database.js';
import { QueryConfig, QueryResult, QueryResultRow } from 'pg';
import { DbName } from '../../util/index.js';
export declare class MockDatabase implements Database {
    host: string;
    port: number;
    database?: string | undefined;
    name: DbName;
    fail: Error | undefined;
    constructor(host: string, port: number, database?: string | undefined, fail?: Error);
    query<R extends QueryResultRow = any, I extends any[] = any[]>(_queryConfig: QueryConfig<I>): Promise<Pick<QueryResult<R>, 'rows' | 'rowCount'>>;
    stop(): Promise<void>;
}
