class MockDatabase {
  constructor(dbName, fail) {
    this.dbName = dbName;
    this.fail = fail;
  }
  executeAsync() {
    const _array = [
      {
        column1: "text1",
        column2: "text2"
      }
    ];
    return this.resolveIfNotFail({
      rowsAffected: 1,
      rows: {
        _array,
        length: 1,
        item: (idx) => _array[idx]
      }
    });
  }
  executeBatchAsync() {
    return this.resolveIfNotFail({ rowsAffected: 1 });
  }
  resolveIfNotFail(value) {
    if (typeof this.fail !== "undefined") {
      return Promise.reject(this.fail);
    }
    return Promise.resolve(value);
  }
}
export {
  MockDatabase
};
//# sourceMappingURL=mock.js.map