import { electrify } from '../../electric/index.js';
import { MockMigrator } from '../../migrators/mock.js';
import { MockNotifier } from '../../notifiers/mock.js';
import { MockRegistry } from '../../satellite/mock.js';
import { DatabaseAdapter as OPSqliteAdapter } from './adapter.js';
import { MockDatabase } from './mock.js';
import { MockSocket } from '../../sockets/mock.js';
const testToken = "test-token";
const initTestable = async (dbName, dbDescription, config = {}, opts) => {
  const db = new MockDatabase(dbName);
  const adapter = opts?.adapter || new OPSqliteAdapter(db);
  const notifier = opts?.notifier || new MockNotifier(dbName);
  const migrator = opts?.migrator || new MockMigrator();
  const socketFactory = opts?.socketFactory || MockSocket;
  const registry = opts?.registry || new MockRegistry();
  const client = await electrify(
    dbName,
    dbDescription,
    adapter,
    socketFactory,
    config,
    {
      notifier,
      migrator,
      registry
    }
  );
  await client.connect(testToken);
  return [db, notifier, client];
};
export {
  initTestable
};
//# sourceMappingURL=test.js.map