import { SerialDatabaseAdapter as GenericDatabaseAdapter } from '../generic/index.js';
class DatabaseAdapter extends GenericDatabaseAdapter {
  db;
  defaultNamespace = "public";
  constructor(db) {
    super();
    this.db = db;
  }
  async _run(statement) {
    const res = await this.db.query(statement.sql, statement.args);
    return {
      rowsAffected: res.affectedRows ?? 0
    };
  }
  async _query(statement) {
    return (await this.db.query(statement.sql, statement.args)).rows;
  }
}
export {
  DatabaseAdapter
};
//# sourceMappingURL=adapter.js.map