import { SerialDatabaseAdapter as GenericDatabaseAdapter } from '../generic/index.js';
class DatabaseAdapter extends GenericDatabaseAdapter {
  db;
  defaultNamespace = "public";
  constructor(db) {
    super();
    this.db = db;
  }
  async _run(statement) {
    const { rowsModified } = await this.db.exec(statement);
    return {
      rowsAffected: rowsModified
    };
  }
  async _query(statement) {
    const { rows } = await this.db.exec(statement);
    return rows;
  }
}
export {
  DatabaseAdapter
};
//# sourceMappingURL=adapter.js.map