import { Row, Statement } from '../../util/index.js';
export type QueryResult = {
    rows: Row[];
    rowsModified: number;
};
type TauriInvokeFn = (cmd: string, params?: object) => Promise<any>;
export interface Database {
    name: string;
    exec(statement: Statement): Promise<QueryResult>;
    stop(): Promise<void>;
}
export declare class ElectricDatabase implements Database {
    name: string;
    private invoke;
    private constructor();
    private tauriExec;
    exec(statement: Statement): Promise<QueryResult>;
    stop(): Promise<void>;
    static init(dbName: string, invoke: TauriInvokeFn): Promise<ElectricDatabase>;
}
export {};
