const rowsFromResults = (results) => {
  if (results.rows.raw) {
    return results.rows.raw();
  }
  const rows = [];
  for (let i = 0; i < results.rows.length; i++) {
    rows.push(results.rows.item(i));
  }
  return rows;
};
const resultToRows = (res) => {
  const cols = res.columns;
  return res.values.map((values) => {
    const row = {};
    values.forEach((val, i) => {
      const col = cols[i];
      row[col] = val;
    });
    return row;
  });
};
const mockResults = (rows) => {
  return {
    rows: {
      item: (i) => rows[i],
      length: rows.length,
      raw: () => rows
    },
    rowsAffected: 0
  };
};
export {
  mockResults,
  resultToRows,
  rowsFromResults
};
//# sourceMappingURL=results.js.map