import { SerialDatabaseAdapter as GenericDatabaseAdapter } from '../generic/index.js';
class DatabaseAdapter extends GenericDatabaseAdapter {
  db;
  defaultNamespace = "main";
  constructor(db) {
    super();
    this.db = db;
  }
  exec(statement) {
    return this.db.exec(statement);
  }
  getRowsModified() {
    return this.db.getRowsModified();
  }
  async _run(statement) {
    await this.exec(statement);
    return {
      rowsAffected: this.getRowsModified()
    };
  }
  _query(statement) {
    return this.exec(statement);
  }
}
export {
  DatabaseAdapter
};
//# sourceMappingURL=adapter.js.map