import { DatabaseAdapter } from './adapter.js';
import { ElectricDatabase } from './database.js';
import { electrify as baseElectrify } from '../../electric/index.js';
import { WebSocketWeb } from '../../sockets/web.js';
const electrify = async (db, dbDescription, config = {}, opts) => {
  const dbName = db.name;
  const adapter = opts?.adapter || new DatabaseAdapter(db);
  const socketFactory = opts?.socketFactory || WebSocketWeb;
  const client = await baseElectrify(
    dbName,
    dbDescription,
    adapter,
    socketFactory,
    config,
    opts
  );
  return client;
};
export {
  DatabaseAdapter,
  ElectricDatabase,
  electrify
};
//# sourceMappingURL=index.js.map