import { DatabaseAdapter } from './adapter.js';
import { Notifier } from '../notifiers/index.js';
import { ConnectivityState } from '../util/types.js';
import { GlobalRegistry, Registry } from '../satellite/index.js';
export declare class ElectricNamespace {
    dbName: string;
    adapter: DatabaseAdapter;
    notifier: Notifier;
    readonly registry: Registry | GlobalRegistry;
    private _isConnected;
    get isConnected(): boolean;
    private _unsubscribeStateChanges;
    constructor(dbName: string, adapter: DatabaseAdapter, notifier: Notifier, registry: Registry | GlobalRegistry);
    setIsConnected(connectivityState: ConnectivityState): void;
    potentiallyChanged(): void;
    /**
     * Cleans up the resources used by the `ElectricNamespace`.
     */
    close(): Promise<void>;
}
