const STATES = {
  connected: { status: "connected" },
  disconnected: { status: "disconnected" }
};
const VALID_STATUSES = Object.values(STATES).map((s) => s.status);
const getElectricConnectivityState = (electric) => {
  if (electric === void 0) {
    return STATES.disconnected;
  }
  return electric.isConnected ? STATES.connected : STATES.disconnected;
};
const getValidConnectivityState = (candidateState) => VALID_STATUSES.includes(candidateState.status) ? candidateState : STATES.disconnected;
export {
  getElectricConnectivityState,
  getValidConnectivityState
};
//# sourceMappingURL=connectivity.js.map