import { provide, inject, unref } from "vue";
const ElectricKey = Symbol("ElectricProvider");
function makeElectricDependencyInjector() {
  const provideElectric = (electric) => provide(ElectricKey, electric);
  const injectElectric = () => {
    const electric = inject(ElectricKey);
    return unref(electric);
  };
  return {
    provideElectric,
    injectElectric
  };
}
const { injectElectric: injectElectricUntyped } = makeElectricDependencyInjector();
export {
  injectElectricUntyped,
  makeElectricDependencyInjector
};
//# sourceMappingURL=dependency-injection.js.map