/// <reference types="node" />
/// <reference types="node" />
import { EventEmitter } from 'events';
import { ConnectionOptions, Data, Socket } from './index.js';
import { SatelliteError, SocketCloseReason } from '../util/index.js';
export declare class MockSocket extends EventEmitter implements Socket {
    constructor();
    open(_opts: ConnectionOptions): this;
    write(_data: string | Uint8Array | Buffer): this;
    closeAndRemoveListeners(): this;
    onMessage(_cb: (data: Data) => void): void;
    onError(_cb: (error: SatelliteError) => void): void;
    onClose(_cb: (reason: SocketCloseReason) => void): void;
    onceConnect(_cb: () => void): void;
    onceError(_cb: (error: SatelliteError) => void): void;
    removeErrorListener(_cb: (error: SatelliteError) => void): void;
}
