/**
 * Chunk an array based on the value returned by a mapping function.
 *
 * Returns an iterable, that yields pairs with first value being the
 * return of the mapper function, and the second value being the chunk
 *
 * @param arr array to be chunked
 * @param mapper mapping function designating the chunk "key"
 * @returns an iterable with pairs of chunk "keys" and chunks themselves.
 */
export declare function chunkBy<T, K>(arr: T[], mapper: (elem: T, idx: number, arr: T[]) => K): Iterable<[K, T[]]>;
