import { SatelliteError } from './types.js';
export declare const DEFAULT_LOG_POS: Uint8Array;
export type PromiseWithResolvers<T> = {
    promise: Promise<T>;
    resolve: (value: T | PromiseLike<T>) => void;
    reject: (reason?: any) => void;
};
export declare function emptyPromise<T = void>(): PromiseWithResolvers<T>;
export type Waiter = {
    waitOn: () => Promise<void>;
    resolve: () => Promise<void>;
    reject: (error: SatelliteError) => Promise<void>;
    finished: () => boolean;
};
export declare function getWaiter(): Waiter;
/**
 * Checks whether the provided value is an object and not an
 * array of some sort
 * @param value - value to check
 * @returns {boolean} whether the `value` is an actual object
 */
export declare function isObject(value: any): value is object;
