function interpolateSqlArgs({
  sql,
  args
}) {
  if (args === void 0)
    return sql;
  let matchPos = 0;
  const argsLength = args.length;
  return sql.replaceAll(/(?:^|[^\w])\?/g, (match) => {
    const toReplace = matchPos < argsLength ? args[matchPos++] : "?";
    return match.length > 1 ? match[0] + toReplace : toReplace;
  });
}
export {
  interpolateSqlArgs
};
//# sourceMappingURL=interpolate.js.map