const isPrivateKey = (key) => {
  return typeof key === "string" && key.startsWith("_");
};
const isPublicKey = (key) => {
  return !isPrivateKey(key);
};
const hasPublicKey = (obj, key) => {
  return key in obj && isPublicKey(key);
};
const publicKeys = (obj) => {
  return Reflect.ownKeys(obj).filter(isPublicKey);
};
export {
  hasPublicKey,
  isPrivateKey,
  isPublicKey,
  publicKeys
};
//# sourceMappingURL=keys.js.map